> ## Documentation Index
> Fetch the complete documentation index at: https://getbuildify.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Multiple Profiles

> Fetch multiple profiles by product ID and paths.



## OpenAPI

````yaml get /{apiVersion}/{apiProvince}/multiple_profiles
openapi: 3.0.0
info:
  title: Buildify API
  version: '1.0'
servers:
  - url: https://api.getbuildify.com
security:
  - sec0: []
paths:
  /{apiVersion}/{apiProvince}/multiple_profiles:
    get:
      summary: Get Multiple Profiles
      description: 📑 Fetch multiple profiles by product ID and paths.
      operationId: get-multiple-profiles
      parameters:
        - name: paths
          in: query
          description: >-
            Paths of profiles. **[See more
            info](https://buildify.readme.io/reference/paths)**.
          required: true
          schema:
            type: string
        - name: referrences
          in: query
          description: >-
            Fields to attach referrences. For example: builders, marketers, etc.
            It should be comma separated. **[See more
            info](https://buildify.readme.io/reference/referrencing)**.
          schema:
            type: string
        - name: apiVersion
          in: path
          schema:
            type: string
            enum:
              - v1-sandbox
              - v1-lite
              - v1
          required: true
        - name: apiProvince
          in: path
          schema:
            type: string
            enum:
              - all
              - 'on'
              - bc
              - ab
              - mb
              - nb
              - nl
              - ns
              - pe
              - qc
              - sk
            default: 'on'
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "results": [
                        {
                          "address": "317 Adelaide St W, Toronto, Ontario, M5V 1P9, Canada",
                          "listings": [
                            "Listings/Q2TAED"
                          ],
                          "logo": "https://storage.googleapis.com/precon-app.appspot.com/3d16b6f7-c5ce-428e-87bd-651cc09d6ecd.png",
                          "name": "Niche Development",
                          "website": "nichedevelopment.ca",
                          "path": "Builders/06K1RDAiqm543AVo72BE",
                          "sample": "saath.bas@gmail.com",
                          "objectID": "06K1RDAiqm543AVo72BE"
                        },
                        {
                          "address": "602 King St W Suite 102, Toronto, ON M5V 1M6",
                          "listings": [
                            "Listings/IP1NDL"
                          ],
                          "logo": "https://storage.googleapis.com/precon-app.appspot.com/4077aa42-671c-4b3e-90c6-eb2cf2cebb4f.png",
                          "name": "MarketVision Real Estate Corporation",
                          "website": "marketvisionrealty.com",
                          "path": "Marketers/1NuWRj06ZHFddQVzZfVt",
                          "objectID": "1NuWRj06ZHFddQVzZfVt"
                        }
                      ]
                    }
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        address:
                          type: string
                          example: 317 Adelaide St W, Toronto, Ontario, M5V 1P9, Canada
                        listings:
                          type: array
                          items:
                            type: string
                            example: Listings/Q2TAED
                        logo:
                          type: string
                          example: >-
                            https://storage.googleapis.com/precon-app.appspot.com/3d16b6f7-c5ce-428e-87bd-651cc09d6ecd.png
                        name:
                          type: string
                          example: Niche Development
                        website:
                          type: string
                          example: nichedevelopment.ca
                        path:
                          type: string
                          example: Builders/06K1RDAiqm543AVo72BE
                        sample:
                          type: string
                          example: saath.bas@gmail.com
                        objectID:
                          type: string
                          example: 06K1RDAiqm543AVo72BE
        '403':
          description: '403'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "requestId": "1675936087635479332-YXdzLWFwLXNvdXRoLTE=-a2d9b171603f4a6283b18484b06603fc9a2e0b393b7f4a9ab824c9f4eecb708e",
                        "message": "Forbidden"
                    }
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                    example: >-
                      1675936087635479332-YXdzLWFwLXNvdXRoLTE=-a2d9b171603f4a6283b18484b06603fc9a2e0b393b7f4a9ab824c9f4eecb708e
                  message:
                    type: string
                    example: Forbidden
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "requestId": "1675933210215292748-YXdzLXVzLWVhc3QtMQ==-7eccb953f95a4e10bf1a2fe6103d41d9d8be85f2c9b7443c808d9d79bf8335dc",
                      "message": "No data product found. Please contact your data provider"
                    }
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                    example: >-
                      1675933210215292748-YXdzLXVzLWVhc3QtMQ==-7eccb953f95a4e10bf1a2fe6103d41d9d8be85f2c9b7443c808d9d79bf8335dc
                  message:
                    type: string
                    example: No data product found. Please contact your data provider
        '500':
          description: '500'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "message": "Error: 500"
                    }
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: 'Error: 500'
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````